Page MenuHomePhabricator

Give guidance in the new upload form, to prevent the most common errors - e.g. bad file titles
Closed, ResolvedPublic1 Story Points

Description

Having a file with a bad title, is a very annoying and time-consuming problem for commons.

The current version of the upload tool, does not have any guidance. E.g.


(uselang=qqx)

Commons partially (but not perfectly by any means) solves this with small [?] tooltips. (Note: a click is required - they don't open on mouseover)


(uselang=qqx)

Re-Using and improving the same qqx messages, might be ideal, to avoid the need for near-duplicate sets of translations. (However, for file-titles, the new upload tool would need to truncate the file-extension)

Event Timeline

Quiddity created this task.Oct 20 2015, 9:22 PM
Quiddity updated the task description. (Show Details)
Quiddity raised the priority of this task from to Needs Triage.
Quiddity added a subscriber: Quiddity.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 20 2015, 9:22 PM
Jdforrester-WMF triaged this task as Normal priority.Nov 4 2015, 9:46 PM
Jdforrester-WMF assigned this task to Prtksxna.
Jdforrester-WMF added a project: Design.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Untriaged to Next up on the Multimedia board.Nov 5 2015, 6:26 PM

Change 253550 had a related patch set uploaded (by Prtksxna):
mw.Upload.BookletLayout: Add help text for name and description fields

https://gerrit.wikimedia.org/r/253550

Change 253550 merged by jenkins-bot:
mw.Upload.BookletLayout: Add help text for name and description fields

https://gerrit.wikimedia.org/r/253550

Can we deem this fixed?

Quiddity added a comment.EditedJan 3 2016, 3:56 AM

I have now tested this at http://en.wikipedia.beta.wmflabs.org/wiki/User:Quiddity/sandbox?action=edit

As I wrote in the description above,

Commons partially (but not perfectly by any means) solves this with small [?] tooltips.

I was hoping that we'd improve on Commons' implementation, perhaps by placing the guidance directly into the dialog.

The patch above, makes it work identically to Commons. Perhaps we could change this, and place the advice in-line with the field titles? Or something?

Screenshots of current /r/253550:

Prtksxna added a comment.EditedJan 15 2016, 6:03 AM

This doesn't take up as much space as I was anticipating.

@Jdforrester-WMF, should we switch to this instead?

Prtksxna moved this task from Needs code review to Doing on the Multimedia board.Jan 15 2016, 1:27 PM

This doesn't take up as much space as I was anticipating.

@Jdforrester-WMF, should we switch to this instead?

Sure, though is that text size too small for accessibility?

Change 269078 had a related patch set uploaded (by Prtksxna):
mw.Upload.BookletLayout: Use notice instead of popup for help text

https://gerrit.wikimedia.org/r/269078

Sure, though is that text size too small for accessibility?

We'll do 0.9em and #555 for this. Should be fine according to http://webaim.org/resources/contrastchecker/

@Quiddity, more screenshots:

zhhefr

Change 269078 merged by jenkins-bot:
mw.Upload.BookletLayout: Use notice instead of popup for help text

https://gerrit.wikimedia.org/r/269078

Prtksxna closed this task as Resolved.Feb 16 2016, 2:46 AM